#include "../../../lib/std.mi"

Global Layout PLLayout, normal;
Global Button eqbutt, plbutt, plclose;
Global Group eqdrawer, plgroup;
Global Boolean eqopen, plopen, eqmoving, plmoving;
Global Text songticker, prevbutt, stopbutt, playbutt, nextbutt;

System.onScriptLoaded() {
	normal = System.getContainer("main").getLayout("normal");
	eqbutt = System.getContainer("main").getLayout("normal").findobject("eq");
	eqdrawer = System.getContainer("main").getLayout("normal").findobject("eqdrawer");
	plbutt = System.getContainer("main").getLayout("normal").findobject("pl");
	plgroup = System.getContainer("main").getLayout("normal").findobject("pl.drawer");
	songticker = System.getContainer("main").getLayout("normal").findobject("songticker");
	prevbutt = System.getContainer("main").getLayout("normal").findobject("Prevbutt");
	stopbutt = System.getContainer("main").getLayout("normal").findobject("Stopbutt");
	playbutt = System.getContainer("main").getLayout("normal").findobject("Playbutt");
	nextbutt = System.getContainer("main").getLayout("normal").findobject("Nextbutt");
	plclose = System.getContainer("main").getLayout("normal").findobject("pl.close");
	plopen = System.getPrivateInt("Vag", "Pl_open", 0);
	eqopen = System.getPrivateInt("Vag", "Eq_open", 0);
	eqdrawer.hide();
	plgroup.hide();
	eqbutt.setActivated(eqopen);
	plbutt.setActivated(plopen);

  	PLLayout = newGroupAsLayout("PLGroup");
  	PLLayout.setXmlParam("x", "65");
  	PLLayout.setXmlParam("y", "380");
  	PLLayout.setXmlParam("maximum_w", "206");
  	PLLayout.setXmlParam("maximum_h", "96");
}

normal.onScale(Double newscalevalue) {
	if (plopen) normal.setScale(1);
}

eqbutt.onActivate(int activated) {
	if (!plopen) {
		eqopen = activated;
		System.setPrivateInt("Vag", "Eq_open", activated);
		if (!activated) {
	  		eqdrawer.settargetx(0);
	  		eqdrawer.settargety(-50);
	  		eqdrawer.settargetspeed(2);
	  		eqdrawer.gototarget();
		}
		else if (activated) {
	  		eqdrawer.show();
	  		eqdrawer.settargetx(0);
	  		eqdrawer.settargety(145);
	  		eqdrawer.settargetspeed(2);
	  		eqdrawer.gototarget();
		}
   }
   if (plopen) {
	   eqmoving =1;
	   eqbutt.setActivatedNoCallback(0);
	   plbutt.setactivated(0);
	   eqopen = 0;
	   System.setPrivateInt("Vag", "Eq_open", eqopen);
   }
}

eqdrawer.ontargetreached() {
    if (!eqopen) eqdrawer.hide();
    if (plmoving == 1) {
	    plbutt.setactivated(1);
	    plmoving = 0;
    }
}

plbutt.onActivate(int activated) {
	if (!eqopen) {
		normal.setScale(1);
	plopen = activated;
	 System.setPrivateInt("Vag", "Pl_open", activated);
	if (!activated) {
	  plgroup.settargetx(0);
	  plgroup.settargety(-90);
	  plgroup.settargetspeed(2);
	  PLLayout.hide();
	  plgroup.gototarget();
	}
	else if (activated) {
	  plgroup.show();
	  plgroup.settargetx(0);
	  plgroup.settargety(185);
	  plgroup.settargetspeed(2);
	  plgroup.gototarget();
	}
    }
	 if (eqopen) {
	   plmoving =1;
	   plbutt.setActivatedNoCallback(0);
	   eqbutt.setactivated(0);
	   plopen = 0;
	    System.setPrivateInt("Vag", "Pl_open", plopen);
    }
}

plgroup.ontargetreached() {
    if (!plopen) {
	    plgroup.hide();
    }
    if (plopen) {
	    PLLayout.show();
    }
    if (eqmoving == 1) {
	    eqbutt.setactivated(1);
	    eqmoving = 0;
    }
}

prevbutt.onleftbuttonup(int x, int y) {
	System.previous();
}

stopbutt.onleftbuttonup(int x, int y) {
	System.stop();
}

playbutt.onleftbuttonup(int x, int y) {
	System.play();
}
nextbutt.onleftbuttonup(int x, int y) {
	System.next();
}

plclose.onleftclick() {
	plbutt.setactivated(0);
}